# Uses of Interface
org.eclipse.e4.ui.model.application.ui.menu.MTrimContribution

Packages that use MTrimContribution
Package
Description
org.eclipse.e4.ui.model.application.ui.menu
Application programming interfaces describing the Eclipse 4 menu and toolbar model elements.

## Uses of MTrimContribution in org.eclipse.e4.ui.model.application.ui.menu

Methods in org.eclipse.e4.ui.model.application.ui.menu that return MTrimContribution
Modifier and Type
Method
Description
`MTrimContribution`
MMenuFactory.`createTrimContribution()`
Returns a new object of class 'Trim Contribution'.
Methods in org.eclipse.e4.ui.model.application.ui.menu that return types with arguments of type MTrimContribution
Modifier and Type
Method
Description
`List<MTrimContribution>`
MTrimContributions.`getTrimContributions()`
Returns the value of the 'Trim Contributions' containment reference list.